<?php 
declare(strict_types=0);
// session_start();
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
$empr0=data_maes('empr',$cfg_empr);
if(empty($user_codigo)){include('user_login0.php');return;}

// echo '<meta http-equiv="refresh" content="5">';
$modu='prod';
$info='prdet2';
$info_descri='PRODUCCION';
if(empty($format)){$format=2;}

if($format==2){$info='prdet2';}
if($info=='prblog'){$info_descri='PRODUCCION';}
if($info=='prdet2'){$info_descri='DOC.PRODUCCION';}
if(empty($user0['user_tipo'])){$cost='false';}


if(empty($tpro)){$tpro=1;}
// if(mb_stristr2('.sist.supe',$user0['user_tipo'])){$cost='true';}

if(!mb_stristr2('.sist.supe',$user0['user_tipo']))
{
     $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)==0){$cost='false';}
}

if(empty($proc)){$proc=$user0['user_proc'];}

if(empty($proc))
{
     $fecha_prod=date('Y-m-01',strtotime('-1 month'));
     $sql_prod='select distinct proc from prod1 where status not in("O","X") and fecha>="'.$fecha_prod.'"';
     $res_prod=msql_query($sql_prod,$link_data);
     if(msql_num_rows($res_prod)==1)
     {$proc=msql_result($res_prod,0,'proc');}
}     

if($format==2)
{
$item='';
$cant=0;
$puni=0;
}

$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$item0=data_maes('item',$item);
// $lsub0=data_maes('lsub',$lsub);
$proc0=data_maes('proc',$proc);
$lote0=data_maes('lote',$lote);

$sql_tbod='select distinct proc_tipo from proc0 where proc_status not in("I","X") and proc_tipo!="" and proc_tipo is not null';
$res_tbod=msql_query($sql_tbod,$link_data);
if(msql_num_rows($res_tbod)>1){$tbod_ok=1;}

$sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
$res_imgi=msql_query($sql_imgi,$link_data);
if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

// $sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
// $res_mrca=msql_query($sql_mrca,$link_data);
// if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

$sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
$res_lote=msql_query($sql_lote,$link_data);
if(msql_num_rows($res_lote)!=0){$lote_ok=1;}

// $maes=strtolower($maes);
$modu=strtolower($modu);
$tabla=$modu;

// if(@mb_stristr2('.clie.prov.empl',$modu)){$tabla='enti';}
// if(@mb_stristr2('.prod.prec.teki',$modu)){$tabla='item';}

$xtitulo='PRODUCCION';
if($modu=='prod'){$xtitulo='PRODUCCION';}

$xtitle='REG.'.$xtitulo;
$xtopcenter=$xtitle;
if(!empty($docu)){$xtitle.=' /'.$docu;}
if(!empty($numero)){$xtitle.='-'.$numero;}

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}

$fecha_min=date('Y-m-d',strtotime('-7 days'));
if(empty($fecha1)){$fecha1=date('Y-m-d',strtotime('-7 days'));}
if(empty($fecha2)){$fecha2=date('Y-m-d');}



$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;
echo $dom->saveXML();

// echo '*/*/*/*/'.$format;
// echo sal_item2('20109837');
     
//  SELECT DB
// if(!empty($proc))
// {include('sele_info.php');}

if($format==2 and !empty($docu) and !empty($proc) and !empty($numero))
{include('sele_info.php');}

if($format==3 and !empty($proc) and empty($numero))
{include('sele_info.php');}

if(!empty($sql_info))
{
     $sql_info=str_replace('order by ','order by fecha desc, idnum1 desc, iddet desc, ',$sql_info);
     $sql_info.=' limit 100';
     $res_info=msql_query($sql_info,$link_data);
     
//      
     
     if(msql_num_rows($res_info)==0)
     {
          if($fecha1!=$fecha2)
          {
               $sql_info=str_replace($fecha1,$fecha0,$sql_info);
               $res_info=msql_query($sql_info,$link_data);
          }
     }
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';

     if(!empty($numero))
     {
          $idnum1=msql_result($res_info,0,'idnum1_hide');
          $edit=msql_result($res_info,0,'b_o');

          $data_head=data_docu($docu,$idnum1);
          foreach($data_head as $key => $value){${$key}=trim($value);} 
     }

}


// PANTALLA FILTROS
echo '<div id="filtros" noprint >';
{
// OCULTOS
echo '<div hide>';     
echo '<input id="tpro" hide value="'.$tpro.'">';
echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
echo '<input id="modu" value="'.$modu.'">';
echo '<input id="info" value="'.$info.'">';
echo '<input id="idnum1" value="'.$idnum1.'">';
echo '<input id="fecha1" value="'.$fecha1.'">';
echo '<input id="fecha2" value="'.$fecha2.'">';
echo '<input id="stfin" value="'.$stfin.'">';
echo '</div>';     
     
// {$ztitulo='FILTROS'; include('ele_title.php');}
// {$ztitulo='INVENTARIOS'; include('ele_title.php');}

// $ztabla='ctas';
// include('ele_datalist.php');
     
$ztabla='enti';
$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from prod1) or left(enti_codigo,10) in(select distinct left(enti,10) from opro1))';
include('ele_datalist.php');
     
$ztabla='item';
$zwhere='(left(item_codigo,2)!="99")';
include('ele_datalist.php');
     
$ztabla='lote';
include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="prod")';
include('ele_datalist.php');
     
// $zid='dlimpo';     
// $zdocu='FP15';     
// $zcolu='impor';   
// // $zwhere='(fecha>="2000-01-01")';     
// include('ele_datalist.php');
     
$zobj=2;     
include('ele_break.php');


if($format==2) 
{
$zid='btn_nuevo'; 
$zlabel='Nuevo';
$zalign='right';
$zonclick='{fn_nuevo();}';
$zsize=1.2;     
include('ele_button.php');
}
     
     
if($format==3)
{
$zid='proc';
$ztabla='proc';
$zlabel='Proceso';
$zvalue=$proc; 
if(!empty($proc)){$zreado=1;}
$zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';     
$zonchange='{fn_consulta(event);}';
$zonblur=$zonchange;
if(substr($docu,0,2)=='OP'){$zhide=1;}     
include('ele_select.php');
}

     
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
$zvalue=$fecha;
$zmin=$fecha_min;     
$zmax=$fecha2;     
if($tpro>1){$zhide=1;}     
include('ele_input.php'); 
     
if($tpro==5)
{
$zid='semana';
$ztype='week';
$zlabel='Semana';
$zvalue=$semana;
// $zmin=$fecha_min;     
// $zmax=$fecha2;     
include('ele_input.php'); 
}
     
       
     
$zid='docu';
$zlabel='Docum.';
$zvalue=$docu;
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
// $zonchange='{location.href="?scri='.basename(__FILE__,'.php').'&'.$zid.'="+document.getElementById("'.$zid.'").value;}';
$zonchange='{fn_consulta(event);}';
//      include('ele_input.php');
include('ele_select.php');

if($format==2)
{
$zid='proc';
$ztabla='proc';
$zlabel='Proceso';
$zvalue=$proc; 
// if(!empty($proc)){$zreado=1;}
$zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';     
$zonchange='{fn_consulta(event);}';
$zonblur=$zonchange;
if(substr($docu,0,2)=='OP'){$zhide=1;}     
include('ele_select.php');
}
     
if(@mb_stristr2('.IB13.EB13',$docu))
{
     //      $zobj=4;
     $zid='proc2';
     $zlabel='Proceso2';
     if($docu=='IB13'){$zlabel='B.Origen';}
     if($docu=='EB13'){$zlabel='B.Destino';}
     $zvalue=$proc2;
     $ztabla='proc';
     $zwhere='(proc_codigo!="'.$proc.'")';
     //      $zmaxlen=20;
     include('ele_select.php');
}     
          
// $zid='info';
// $zlabel='Informe';
// $zvalue=$info;

// if($format==2) 
{
     
$zid='numero';
$zlabel='Numero';
$zvalue=$numero;
$zvalue=(int)$numero;
// $zmin=1;
// $zmax=9999999;     
$zclass='numeric-int';
$zreado=2;     
$zondblclick='{document.getElementById("'.$zid.'").style.width="'.round(7*2/3,2).'em";}';     
// $zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";fn_consulta();}}';
$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";}}';
$zonchange='{fn_consulta(event);}';
// $zbackcolor='black';
// $zfontcolor='white';
$zbackcolor='grey';
$zfontcolor='white';
$zsize=1.2;     
     
include('ele_input.php');
}
     
if($docu=='IB15' or $impo_ok==1)
{
     $zid='impor';
     $zlabel='#Import.';
     $zvalue=$impor;
     $zdocu='FP15';     
     $zcolu='impor';   
     $zcolu2='impor';
     $zwhere='(fecha>="'.date('Ymd',strtotime('-12 month')).'")';
     
     include('ele_select.php');
//      $zlist='dlimpo';
//      include('ele_input.php');
}
          
if($format==2)
{
     
$zid='btn_print'; 
$zlabel='Imprimir';
$zalign='right';
$href='?prnt=1&docu='.$docu.'&idnum='.$idnum1.'&formato=';  
if(mb_stristr2('.hg01',$cfg_empr))
{$href.='&destino=txt';}
$zonclick='{print_url("'.$href.'");}';
// $zonclick='{save_docu(event);print_url("'.$href.'");}';
if(empty($idnum1)){$zhide=1;}     
$zsize=0.8;     
include('ele_button.php');
}
     
if($format==3)
{

$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
// $zonclick='{fn_consulta(event);}';
$zonclick='{document.getElementById("fecha1").value="";document.getElementById("fecha2").value="";fn_consulta(event);}';
include('ele_button.php');
     
}     
    
echo '<span style="float:right; white-space:nowrap;">';     
echo $msgres;
echo '</span>';     
     
if(!empty($proc))
{
     
// if(@mb_stristr2('.prod',$modu))
if(!empty($docu))     
{

     if($format==2)
     {
     $zobj=1;     
     include('ele_break.php');
          
//      $zobj=4;
     $zid='enti';
     $zlabel='Entidad';
     $zvalue=$enti;
     $zdefa=$empr0['empr_ruc'];     
     $ztabla='enti';
     include('ele_input.php');
          
//      $zobj=4;
//      $zid='numfac';
//      if(@mb_stristr2('.IB10.EB10',$docu))
//      {$zlabel='# Factura';}
//      if(@mb_stristr2('.IB12.EB12',$docu))
//      {$zlabel='# N.Crédito';}
//      $zvalue=$numfac;
//      $zwidth=6;
//      $zclass='numeric-int';
//      if(@!mb_stristr2('.IB10.EB10.IB12.EB12',$docu)){$zhide=1;}
//      include('ele_input.php');
     }
     
$zobj=1;     
include('ele_break.php');
     
$zid='concepto';
$zlabel='Concepto';
$zwidth=25;    
$zrows=2;     
$zvalue=$concepto;
include('ele_input.php');
     
$zobj=2;     
include('ele_break.php');
     
     $zobj=4;
     $zid='item';
     $zlabel='Item';
     $zvalue=$item;
     $ztabla='item';
     $zopen=0;
     include('ele_input.php');

     
     
     $zobj=4;
     $zid='hora1';
     $zlabel='⌚ Hora';
     $zvalue=$hora1;
//      $zsize=1.5;
     $ztype='time';
     $zdefa=date('H:00');
     $zmin=date('H:i',strtotime('-500 minutes'));
     $zmax=date('H:i',strtotime('+5 minutes'));
//      if(!empty($numero)){$zreado=2; $zdefa=$hora1;}
     include('ele_input.php');
     
     
     {
     $zobj=4;
     $zid='entrada';
     $zlabel='📥 Entrada';
//      if($tdifer<0){$zvalue=abs($tdifer);}
     $zmin=0;
     $zmax=999999.99;
     $zclass='numeric-dec';
     $zonchange='calc_subtot();';
     $zonblur='calc_subtot();';
     include('ele_input.php');
          
     $zobj=4;
     $zid='salida';
     $zlabel='📤 Salida';
//      if($tdifer>0){$zvalue=abs($tdifer);}
     $zmin=0;
     $zmax=999999.99;
     $zclass='numeric-dec';
     $zonchange='calc_subtot();';
     $zonblur='calc_subtot();';
     include('ele_input.php');
          
     }

     
     
     
     $cant=1;
     $zobj=4;
     $zid='cant';
     $zlabel='Cantidad';
     $zvalue=(float)$cant;
     $zdefa=1;
//      $zmaxlen=7;
     $zwidth=5;
     $zclass='numeric-dec';
     $zhide=1;
     include('ele_input.php');

//      if(@mb_stristr2('.IB11.EB11',$docu))
//      {
//      $zobj=4;
//      $zid='cambio';
//      $zlabel='cambio';
//      $zvalue=$cambio;
//      $ztabla='item';
//      $zopen=0;
//      include('ele_input.php');
//      }     
     
//      if($cost=='true')
//      if(@mb_stristr2('.IB00.IB10.IB17',$docu))
//      {
//      $zobj=4;
//      $zid='puni';
//      $zlabel='Costo Unit.';
//      $zvalue=$puni;
//      $zwidth=6 ;
//      $zclass='numeric-dec';
//      include('ele_input.php');
//      }

     if($lote_ok==1)
     {
          $zobj=4;
          $zid='lote';
          $zlabel='🔢 Lote';
          $zvalue=$lote;
          $ztabla='lote';
          $zmaxlen=20;
          include('ele_input.php');
     }
     
     if($nser_ok==1)
     {
          $zobj=4;
          $zid='serie';
          $zlabel='Serie';
          $zvalue=$serie;
//           $ztabla='lot';
          include('ele_input.php');
     }
     
     if(@mb_stristr2('.IB10.EB10.IB12.EB12',$docu) and $format==3)
     {
     $zobj=4;
     $zid='enti';
     $zlabel='Clie/Prov';
     if(@mb_stristr2('.IB10.EB12',$docu))
     {$zlabel='Proveedor';}
     if(@mb_stristr2('.EB10.IB12',$docu))
     {$zlabel='Cliente';}
     $zvalue=$enti;
     $ztabla='enti';
     include('ele_input.php');
          
     $zobj=4;
     $zid='numfac';
     if(@mb_stristr2('.IB10.EB10',$docu))
     {$zlabel='# Factura';}
     if(@mb_stristr2('.IB12.EB12',$docu))
     {$zlabel='# N.Crédito';}
     $zvalue=$numfac;
     $zwidth=6;
     $zclass='numeric-int';
     include('ele_input.php');
     }
     
$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
$zsize=1.5;
if(!empty($numero) and empty($edit)){$zhide=1;}  
if($format==3){$zhide=0;}     
include('ele_button.php');
     

// $zobj=1;
// include('ele_break.php');

$zobj=4;     
$zid='detalle';
$zlabel='Notas';
$zwidth=25;    
$zrows=2;     
$zvalue=$detalle;
include('ele_input.php');
     

     
// $zid='btn_grabar'; 
// $zlabel='Grabar';
// $zalign='right';
// $zonclick='{save_docu(event);}';
// include('ele_button.php');
     
     


     
     
}
     
}

     
$zobj=2;     
include('ele_break.php');
     
// TITULO     
{
// $ztitulo=$xtitulo;     
// include('ele_title.php');
     
//      $zid='orden';
//      $zvalue=$orden;
//      $zlabel='Ordenar X';
//      $zoptions='';
//      if($modu=='prod')     
//      {
//           $zoptions.='Linea;';
//      }     
//      if($modu=='vtas')     
//      {
//           $zoptions.='Zona;';
//           $zoptions.='Linea;';
//      }
//      if($modu=='comp')     
//      {
//           $zoptions.='T.Prov.;';
//           $zoptions.='CAIR;';
//      }
//      $zoptions.='Código;';
//      $zoptions.='Nombre;';


//      $zonchange='{fn_consulta(event);}';
//      $zalign='right';
//      include('ele_select.php');

}
     
     

}     
// include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

$sql_idx=1;
if($info=='prblog')
{
//      $sql_orig=$sql_info;
//      $sql_array=array();
//      $sql_idx=0;
//      while($aso_krdx=msql_fetch_assoc($res_krdx))
//      {
//           $sql_idx++;
//           if(empty($item))
//           {$sql_info=str_replace('where ','where item="'.$aso_krdx['item_codigo'].'" and ',$sql_orig);}
//           if(!empty($item))
//           {$sql_info=str_replace($item.'%',$aso_krdx['item_codigo'].'%',$sql_orig);}
//           $sql_array[$sql_idx]=$sql_info;
//      }
}

for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
          if($format==2)
          {
          $zheightrow='2';
          $zhidebtns=1;
          }
          if($format==3)
          {
          $zblockidnum=1;
          $zheightrow='3';
          }
          include('ele_grid.php');     
          
//           if($info=='prblog')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     

echo '</div>';     

$zobj=1;
$zid='cstock';
$zlabel='Consulta Stock';
$zwidth=25;         
$zvalue='';
$zonenter='{fn_stock();}';
$zonblur='{fn_stock();}';
// if($tpos==1){$zhide=1;}
include('ele_input.php');

echo '<div align="center" height="auto" id="divstock" unselectable="on" onmousedown="return false;" onselectstart="return false;">';
echo '</div>';

echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';

?>

<script>
function fn_stock(event)
{
     var busca,xsrc='?';
     busca=document.getElementById('cstock').value;
     document.getElementById('divstock').innerHTML='';
     if(busca.length>3)
     {
          var datapost,dato;
          datapost=new FormData();
          datapost.append('script','info_modu3');
          datapost.append('modu','inve');
          datapost.append('info','iiproc');
//           datapost.append('prec','pvp');
          datapost.append('prnt','1');
          datapost.append('zhidebtns','1');
          datapost.append('zhidehead','1');
          datapost.append('item',busca);
          dato=exe_ajax(datapost,'divstock','',true);
     
     }
     
}
</script>


<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     document.getElementById("main2").innerHTML='Espere...';
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;

     location.href=xhref;
}
</script>

<script>
function fn_nuevo(event)
{
     var enti;
     swal.fire({
          icon:'warning',
          title:'Nuevo Documento',
          text:'Continuar ?',
          confirmButtonText:'Nuevo',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:60000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
//                     document.getElementById("fecha").value="";
                    document.getElementById("numero").value="";
                    document.getElementById("idnum1").value="";
                    enti=document.getElementById("enti").value;
     //                if(enti.indexOf("9999999999")<0)
                    {document.getElementById("enti").value="";}
                    fn_consulta(event);
               }
          })
}     
     
</script>



<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

<?php if(!empty($idnum1)){ ?>
<script>document.getElementById('item').focus();</script>
<?php } ?>
